lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'logging/redis/version'

Gem::Specification.new do |spec|
  spec.name          = 'logging-redis'
  spec.version       = Logging::Redis::VERSION
  spec.authors       = ['Jakob Skjerning']
  spec.email         = ['jakob@mentalized.net']

  spec.summary = 'Redis-appender for the Logging framework'
  spec.description = \
    'The Logging Redis appender provides a way to send log messages to Redis ' \
    'from a Ruby application.'
  # spec.homepage = "TODO: Put your gem's website or public repo URL here."
  spec.license = 'MIT'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added
  # into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject do |f|
      f.match(%r{^(test|spec|features)/})
    end
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'redis', '~> 4.0'

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'rake', '~> 10.0'
end
